'use strict';

require('source-map-support/register');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /* eslint-disable no-console, global-require, import/no-dynamic-require */


_asyncToGenerator(function* () {
  const ls = yield (0, _utils.fetchFileList)(_path2.default.join(__dirname, 'commands'), /\.js$/);
  const commands = ls.map(function (p) {
    return _path2.default.basename(p, '.js');
  });
  const cmdIdx = process.argv.findIndex(function (arg) {
    return _lodash2.default.includes(commands, arg);
  });

  if (cmdIdx >= 0) {
    const command = process.argv[cmdIdx];

    try {
      const func = require(`./commands/${ command }.js`).default;
      yield func(process.argv.slice(cmdIdx + 1));
    } catch (err) {
      console.error(err.stack);
    }
  } else {
    console.log('usage: word-quiz-generator <command> [<args>]');
    console.log(`available commands: ${ commands.join(', ') }`);
    console.log('See \'--help\' of each commands for more details.');
  }
})();
//# sourceMappingURL=cli.js.map