'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (args) {
  let silent = false;

  if (args[0] === '--silent') {
    silent = true;
    args.shift();
  }

  return new Promise((resolve, reject) => {
    const cmd = (0, _child_process.spawn)(command, args);

    cmd.stderr.pipe(process.stderr);

    if (!silent) {
      cmd.stdout.pipe(process.stdout);
    }

    cmd.on('exit', code => {
      if (code !== 0) {
        reject();
      } else {
        resolve();
      }
    });
  });
};

var _child_process = require('child_process');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const command = _path2.default.join(__dirname, '..', '..', 'vendor', 'install.sh');
//# sourceMappingURL=install.js.map