"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Presets of sentenceSeparator, clauseRegExp, wordRegExp, wordBoundaryRegExp, abbrRegExp
 * for each languages.
 */

exports.default = {
  en: {
    sentenceSeparator: /\n/g,
    clauseRegExp: /[^,:"?!.]+/g,
    wordRegExp: /[\w'\-.]+(?!\s*\.\s*$)/g,
    wordBoundaryRegExp: /\b/,
    abbrRegExp: /\.\.\./g
  },

  ojp: {
    sentenceSeparator: /(?:。|[\n\r]+|「|」|『|』)(?:\s+)?/g,
    clauseRegExp: /[^、。「」『』]+/g,
    wordRegExp: /\S+/g,
    wordBoundaryRegExp: / /,
    abbrRegExp: /〜/g
  }
};
//# sourceMappingURL=regexp-presets.js.map