'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _mecab = require('../mecab');

var _mecab2 = _interopRequireDefault(_mecab);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            * Lemmatizer for Classical Japanese using MeCab
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            */


const MECAB_WORD = 0;
const MECAB_LEMMA = 13;
const mecabHome = _path2.default.join(__dirname, '..', '..', 'vendor', 'mecab');
const mecabPath = _path2.default.join(mecabHome, 'mecab', 'bin', 'mecab');
const rcPath = _path2.default.join(mecabHome, 'unidic-ojp', '.mecabrc-ojp');
const mecab = new _mecab2.default({ command: `${ mecabPath } --rcfile=${ rcPath }` });

exports.default = (() => {
  var _ref = _asyncToGenerator(function* (text) {
    const paragraphs = text.replace(/ /g, '').split(/\n/);

    const lemmatizedParagraphs = paragraphs.map(function (paragraph) {
      return _asyncToGenerator(function* () {
        const sentences = paragraph.split('。');

        const lemmatizedSentences = sentences.map(function (sentence) {
          return _asyncToGenerator(function* () {
            const parsed = yield mecab.parse(sentence);
            const lemmatizedTokens = parsed.map(function (word) {
              return (
                // '*' means there is no lemma data for this word.
                word[MECAB_LEMMA] && word[MECAB_LEMMA] !== '*' ? word[MECAB_LEMMA] : word[MECAB_WORD]
              );
            });

            return lemmatizedTokens.join(' ');
          })();
        });

        return Promise.all(lemmatizedSentences).then(function (results) {
          return results.join(' 。 ');
        });
      })();
    });

    return Promise.all(lemmatizedParagraphs).then(function (results) {
      return results.join('\n');
    });
  });

  return function (_x) {
    return _ref.apply(this, arguments);
  };
})();
//# sourceMappingURL=ojp.js.map